/*
 *  findPolyRoots.h
 *  fp
 *
 *  Created by Robert Delaney on 1/16/11.
 *  Copyright 2011 Bob Delaney's Science Software. All rights reserved.
 *
 */

bool xPresence(long& n, const char* inputStr);
bool xNoPresence(long& n, char *sep, const char* inputStr);
bool inputPoly_x(fpComplex*& coeffArray, long n, const char *inputStr);
bool inputPoly(fpComplex*& coeffArray, long n, const char *sep, const char *inputStr);
bool myFindRoots(fpComplex*& z, fpComplex*& x, long n);
void orderRoots(fpComplex*& root, long n);
bool findPolyRoots(fpComplex*& root, fpComplex*& Parray, fpComplex*& coeffArray, long n, bool doRoundToZero);
bool myEigenvalues(Complex** x, Complex*& eigenvalues, long n);
